import idutils
import json

from flask import request
from flask_restful import Resource
import mimetypes
class Mimevalidation(Resource):
    def get(self):
        try:
            mimetypes.init()
            #x = mimetypes.knownfiles
            res = mimetypes.guess_extension("audio/basic", strict=True)
            return {"data": res}
        except Exception as ex:
            return {"res": f"An error has occurred.{ex}"}

    def post(self):
        try:
            data = request.get_json(force=True)
            mime = data["mime"]
            mimetypes.init()
            res = mimetypes.guess_extension(mime, strict=True)
            return {"data": res}
        except Exception as ex:
            return {"res": f"An error has occurred: {ex}"}
