import idutils
import json

from flask import request
from flask_restful import Resource
import mimetypes
class PIDvalidation(Resource):
    def get(self):
        try:
            mimetypes.init()
            res = idutils.detect_identifier_schemes("10.3207/2959859860")
            msg = ""
            if len(res)>0:
                for m in res:
                    msg = msg+' '+ m
            else:
                msg = None
            return {"data": msg}
        except Exception as ex:
            return {"res": f"An error has occurred.{ex}"}

    def post(self):
        try:
            data = request.get_json(force=True)
            pid = data["pid"]
            res = idutils.detect_identifier_schemes(pid)
            msg = ""
            if len(res)>0:
                for m in res:
                    msg = msg+' '+ m
            else:
                msg = None
            return {"data": msg}
        except Exception as ex:
            return {"res": f"An error has occurred: {ex}"}
